ForceFields::MMFF::MMFFHerschbachLaurieCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFHerschbachLaurie * | operator() (const int iRow, const int jRow)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFHerschbachLaurieCollection * | getMMFFHerschbachLaurie (const std::string &mmffHerschbachLaurie="")
| gets a pointer to the singleton MMFFHerschbachLaurieCollection More...

## Detailed Description

Definition at line 607 of file MMFF/Params.h.

## Member Function Documentation

## getMMFFHerschbachLaurie()

static MMFFHerschbachLaurieCollection* ForceFields::MMFF::MMFFHerschbachLaurieCollection::getMMFFHerschbachLaurie | ( | const std::string & | mmffHerschbachLaurie = `""` | ) |

static

gets a pointer to the singleton MMFFHerschbachLaurieCollection

Parameters

  mmffHerschbachLaurie | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFHerschbachLaurieCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFHerschbachLaurieCollection has already been instantiated and `mmffHerschbachLaurie` is empty, the singleton will be returned.
- if `mmffHerschbachLaurie` is empty and the singleton MMFFHerschbachLaurieCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffHerschbachLaurie` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

## operator()()

const MMFFHerschbachLaurie* ForceFields::MMFF::MMFFHerschbachLaurieCollection::operator() | ( | const int | iRow,
|  | const int | jRow
| ) |  |

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFHerschbachLaurie object, NULL on failure.

Definition at line 635 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h